:root {
    --color-primary: #f1ab11;
    --color-secondary: #403945;
    --color-text-primary: #240c03;
    --color-accent: #374151;

    --color-white: #ffffff;
    --color-black: #000000;

    --color-text-muted: #5a5a5a;
    --color-background-dark: #121212;
}

.w-con-inner-95 > .e-con-inner {
    width: 95% !important;
}

.overflow-hidden {
    overflow: hidden !important;
}

header .elementor-widget-off-canvas {
    --e-off-canvas-animation-duration: 0.3s;
}

header.elementor-location-header {
    position: relative;
}

header.elementor-location-header:before {
    position: absolute;
    content: "";
    width: 100%;
    height: 2px;
    top: 0;
    left: 0;
    background: linear-gradient(
        90deg,
        rgba(241, 171, 17, 0) 0%,
        var(--color-primary) 51.44%,
        rgba(241, 171, 17, 0) 100%
    );
    z-index: 99;
}

main, .error404 .elementor-location-single{
    margin-top: var(--header-height, 0px);
}

.error404 .footer-banner{
	display: none;
}

.top-brush-bg:after {
    position: absolute;
    content: "";
    top: 0;
    left: 0;
    width: 100%;
    height: 96px;
    background: transparent url(./../images/top-brush-bg.svg) repeat-x center / auto;
}

.bottom-brush-bg:after {
    position: absolute;
    content: "";
    bottom: 0;
    left: 0;
    width: 100%;
    height: 96px;
    background: transparent url(./../images/bottom-brush-bg.svg) repeat-x center / auto;
}

.top-bottom-brush-bg .e-con-inner:before {
    position: absolute;
    content: "";
    top: 0;
    left: 0;
    width: 100%;
    height: 96px;
    background: transparent url(./../images/top-brush-bg.svg) repeat-x center / auto;
}

.top-bottom-brush-bg .e-con-inner:after {
    position: absolute;
    content: "";
    bottom: 0;
    left: 0;
    width: 100%;
    height: 96px;
    background: transparent url(./../images/bottom-brush-bg.svg) repeat-x center / auto;
}

/* Reveal Content Start */

.reveal-content-wrap .reveal-content-item {
    min-height: 538px;
    position: relative;
    border-radius: 10px;
    overflow: hidden;
}

.reveal-content-wrap .reveal-content-item:before {
    position: absolute;
    content: "";
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: linear-gradient(180deg, rgba(64, 57, 69, 0) 0%, rgba(64, 57, 69, 0.91) 81.55%, #403945 100%);
    z-index: 0;
    transition: all 0.5s ease-in-out;
}

.reveal-content-wrap .reveal-content-item:after {
    position: absolute;
    content: "";
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    border-radius: 10px;
    background: linear-gradient(
        180deg,
        rgba(64, 57, 69, 0.95) 0%,
        rgba(64, 57, 69, 0.95) 52.4%,
        rgba(64, 57, 69, 0.95) 100%
    );
    z-index: 0;
    opacity: 0;
    transition: all 0.5s ease-in-out;
    border: 3px dashed var(--color-primary);
}

.reveal-content-wrap .reveal-content-item:hover:before {
    opacity: 0;
}

.reveal-content-wrap .reveal-content-item:hover:after {
    opacity: 1;
}

.reveal-content-wrap .reveal-content-title {
    position: absolute;
    bottom: 50px;
    color: var(--color-white);
    z-index: 1;
    transition: all 0.3s ease-in-out !important;
    padding: 0 20px;
}

.reveal-content-wrap .reveal-content-item:hover .reveal-content-title {
    position: relative;
    bottom: 0;
    transform: translateY(0%);
    color: var(--color-primary);
}

.reveal-content-wrap .reveal-content-text {
    position: absolute;
    bottom: -100%;
    padding: 0 20px;
    opacity: 0;
    color: var(--color-white);
    z-index: 1;
    transition: all 0.5s ease-in-out !important;
}

.reveal-content-wrap .reveal-content-item:hover .reveal-content-text {
    position: relative;
    bottom: 0;
    opacity: 1;
}

/* Reveal Content End */

/* Bean Slider Start */

.bean-slider {
    position: relative;
    pointer-events: none;
}

.bean-slider .since-1945 {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 9;
    max-width: clamp(15.625rem, 11.3303rem + 6.7039vw, 19.375rem);
    pointer-events: none;
}

.bean-slider .bean-slider-wrapper {
    background: #ead9b3;
    border-top: 3px dashed var(--color-secondary);
    border-bottom: 3px dashed var(--color-secondary);
    position: relative;
    padding: 26px 0;
    width: 100%;
    overflow: hidden;
}

.bean-slider .bean-slider-wrapper .bean-track {
    display: flex;
    align-items: center;
    width: max-content;
    animation: scroll-left 90s linear infinite;
    gap: 0;
}

.bean-slider .bean-slider-wrapper .bean-set {
    display: flex;
    align-items: center;
    flex-shrink: 0;
}

.bean-slider .bean-slider-wrapper .bean-set .slide-item {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 28px;
    flex-shrink: 0;
}

.bean-slider .bean-slider-wrapper .bean-set .slide-title {
    font-family: "Abril Fatface", sans-serif;
    font-weight: 400;
    font-size: 33px;
    line-height: 1.2;
    letter-spacing: 0;
    color: var(--color-text-primary);
    white-space: nowrap;
}

.bean-slider .bean-slider-wrapper .bean-set .bean-icon {
    height: 40px;
    width: auto;
    display: block;
}

.bean-slider.yellow .bean-slider-wrapper {
    background: var(--color-primary);
}

.bean-slider.yellow .bean-slider-wrapper .bean-set .slide-title {
    color: var(--color-white);
}

/* Bean Slider End */

/* Contact Section @ Home page Start */

.gradwhite-text.elementor-element:before {
    position: absolute;
    content: "Get in touch";
    font-family: Abril Fatface;
    font-weight: 400;
    font-size: clamp(10rem, 3.2716rem + 10.5028vw, 15.875rem);
    line-height: 1;
    letter-spacing: 2%;
    width: 100%;
    height: auto;
    text-align: center;
    opacity: 0.1;
    background: linear-gradient(180deg, #403945 0%, rgba(212, 212, 212, 0) 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    top: clamp(-4.375rem, -3.123rem + -1.9544vw, -6.25rem);
}

.contact-info-wrap {
    border-image: linear-gradient(
            0deg,
            rgba(255, 255, 255, 0) 0%,
            rgba(64, 57, 69, 0.31) 52.4%,
            rgba(255, 255, 255, 0) 100%
        )
        1;
}

.contact-grad-divider .elementor-divider-separator {
    border-image: linear-gradient(90deg, rgba(43, 73, 64, 0.2) 0%, rgba(43, 73, 64, 0) 100%) 1;
}

.contact-info-item .elementor-image-box-title {
    margin-top: 0 !important;
}

.contact-info-item .elementor-image-box-content a {
    color: var(--color-secondary);
    transition: all 0.3s ease-in-out;
}

.contact-info-item .elementor-image-box-content a:hover {
    color: var(--color-primary);
}

.contact-info-item .elementor-image-box-img img {
    width: 100%;
    max-width: clamp(3.75rem, 0.8869rem + 4.4693vw, 6.25rem);
    min-width: clamp(3.75rem, 0.8869rem + 4.4693vw, 6.25rem);
}

.contact-info-item .elementor-image-box-description {
    word-break: break-word;
}

.groundpress-map {
    overflow: visible !important;
}

.groundpress-map iframe {
    border-radius: 10px;
}

.groundpress-map:before,
.groundpress-map:after {
    position: absolute;
    content: "";
    width: 144px;
    height: 144px;
    background: transparent url(./../images/yellow-square.svg) no-repeat center / cover;
    z-index: -1;
    border-radius: 10px;
}

.groundpress-map:before {
    top: -10px;
    left: -10px;
}

.groundpress-map:after {
    bottom: -10px;
    right: -10px;
}

/* Contact Section @ Home page End */

/* How Work Section Start */

.how-work-number {
    background: var(--color-primary);
    display: flex;
    width: 48px;
    height: 48px;
    align-items: center !important;
    justify-content: center !important;
    border-radius: 10px;
    position: absolute !important;
    top: -24px;
}

.how-work-number .elementor-heading-title {
    font-family: Inter;
    font-weight: 700;
    font-size: 20px;
    line-height: 1.1;
    text-align: center;
    color: #fff;
}

/* How Work Section End */

/* Visual Journey Grid Start */

.visual-journey-grid .elementor-widget-image {
    position: relative;
}

.visual-journey-grid .elementor-widget-image:before {
    position: absolute;
    content: "";
    width: 100px;
    height: 100px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: transparent url(./../images/plus.webp) no-repeat center / auto;
    z-index: 1;
    opacity: 0;
    transition: all 0.3s ease-in-out;
}

.visual-journey-grid .elementor-widget-image:after {
    position: absolute;
    content: "";
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    border-radius: 10px;
    background: linear-gradient(
        180deg,
        rgba(64, 57, 69, 0.95) 0%,
        rgba(64, 57, 69, 0.95) 52.4%,
        rgba(64, 57, 69, 0.95) 100%
    );
    z-index: 0;
    opacity: 0;
    transition: all 0.3s ease-in-out;
    border: 3px dashed var(--color-primary);
}

.visual-journey-grid .elementor-widget-image:hover:before,
.visual-journey-grid .elementor-widget-image:hover:after {
    opacity: 1;
    pointer-events: none;
}

.visual-journey-wrapper:after {
    position: absolute;
    content: "";
    bottom: 0;
    right: 0;
    width: 397px;
    height: 507px;
    background: transparent url(./../images/visual-journey-bg.webp) no-repeat center / cover;
}

/* Visual Journey Grid End */

/* Footer Start */

.footer-contact-info {
    background: linear-gradient(90deg, rgba(69, 63, 73, 0) 0%, #453f49 50.48%, rgba(69, 63, 73, 0) 100%);
}

.footer-contact-item .elementor-image-box-title {
    margin-top: 0 !important;
}

.footer-contact-item .elementor-image-box-content a {
    color: var(--color-white);
    transition: all 0.3s ease-in-out;
}

.footer-contact-item .elementor-image-box-content a:hover {
    color: var(--color-primary);
}

.footer-contact-item .elementor-image-box-img img {
    width: 100%;
    max-width: clamp(3rem, 0.8869rem + 4.4693vw, 4rem);
    min-width: clamp(3rem, 0.8869rem + 4.4693vw, 4rem);
}

.footer-contact-item .elementor-image-box-description {
    word-break: break-word;
}

.copyright-text strong {
    color: var(--color-white);
}

.footer-site-title .elementor-heading-title {
    background: linear-gradient(180deg, #49434e 0%, rgba(64, 57, 69, 0) 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

/* Footer End */

/* Author List Grid Start */

.author-item {
    position: relative;
}

/* =====================================================
   DESKTOP (default your existing behavior kept)
===================================================== */

/* Vertical */
.author-item::before {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 2px;
    height: 100%;
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.02), rgba(0, 0, 0, 0.2));
}

.author-item:nth-child(n + 7)::before {
    transform: rotate(180deg);
}

.author-item:nth-child(6)::before,
.author-item:last-child::before {
    content: none;
}

/* Horizontal */
.author-item:nth-child(n + 7)::after {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 2px;
    background: rgba(0, 0, 0, 0.2);
}

.author-item:nth-child(7)::after,
.author-item:last-child::after {
    background: linear-gradient(90deg, rgba(0, 0, 0, 0.02), rgba(0, 0, 0, 0.2));
}

.author-item:last-child::after {
    transform: rotate(180deg);
}

/* Author List Grid End */

/* WooCommerce Start */

.woocommerce-error,
.woocommerce-info,
.woocommerce-message {
    border-color: #240d06;
    font-family: "Inter", sans-serif;
    box-shadow:
        rgba(0, 0, 0, 0.12) 0px 1px 3px,
        rgba(0, 0, 0, 0.24) 0px 1px 2px;
    background: #fff;
    border-radius: 6px;
}

.woocommerce .button,
.woocommerce-button,
.woocommerce .woocommerce-error .button,
.woocommerce .woocommerce-info .button,
.woocommerce .woocommerce-message .button,
.woocommerce-page .woocommerce-error .button,
.woocommerce-page .woocommerce-info .button,
.woocommerce-page .woocommerce-message .button {
    background: #f1ab12 !important;
    color: #fff !important;
    border: 2px dashed #240d06 !important;
    font-family: "Abril Fatface", sans-serif;
    font-weight: 400 !important;
    transition: all 0.3s ease-in-out;
    padding: 10px 20px !important;
}

.woocommerce .button:hover,
.woocommerce-button:hover,
.woocommerce .woocommerce-error .button:hover,
.woocommerce .woocommerce-info .button:hover,
.woocommerce .woocommerce-message .button:hover,
.woocommerce-page .woocommerce-error .button:hover,
.woocommerce-page .woocommerce-info .button:hover,
.woocommerce-page .woocommerce-message .button:hover {
    background: #fff !important;
    color: #f1ab12 !important;
    border: 2px dashed #f1ab12 !important;
}

.woocommerce-info::before {
    color: #240d06;
}

.woocommerce form.checkout_coupon,
.woocommerce form.login,
.woocommerce form.register {
    font-family: "Inter", sans-serif;
}

.woocommerce .woocommerce-form-login .woocommerce-form-login__rememberme {
    margin-top: 8px;
    display: inline-flex;
    gap: 6px;
    align-items: center;
}

.elementor-widget-woocommerce-checkout-page
    .select2-container--default
    .select2-selection--single
    .select2-selection__rendered {
    line-height: 1.7 !important;
}

.e-woo-select2-wrapper .select2-results__option {
    font-family: "Inter", sans-serif !important;
}

.select2-container--default .select2-results__option--highlighted[aria-selected],
.select2-container--default .select2-results__option--highlighted[data-selected] {
    background-color: #240d06 !important;
    color: #fff !important;
}

@media screen and (max-width: 767px) {
    .woocommerce table.cart tr {
        padding: 16px 0 !important;
    }
}

/* WooCommerce End */

/* Responsive Start */

@media screen and (max-width: 1024px) and (min-width: 768px) {
    .contact-info-item .elementor-image-box-wrapper {
        flex-direction: column !important;
        justify-content: center;
    }

    .contact-info-item .elementor-image-box-content {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        text-align: center;
    }
}

@media screen and (min-width: 768px) {
    .footer-contact-item .elementor-image-box-img {
        margin-bottom: 0 !important;
    }

    .visual-journey-grid .elementor-widget-image:nth-child(1) {
        grid-area: 1 / 1 / 2 / 2;
    }

    .visual-journey-grid .elementor-widget-image:nth-child(2) {
        grid-area: 2 / 1 / 3 / 2;
    }

    .visual-journey-grid .elementor-widget-image:nth-child(3) {
        grid-area: 1 / 2 / 3 / 3;
    }

    .visual-journey-grid .elementor-widget-image:nth-child(4) {
        grid-area: 3 / 1 / 4 / 2;
    }

    .visual-journey-grid .elementor-widget-image:nth-child(5) {
        grid-area: 3 / 2 / 4 / 3;
    }
}

@media screen and (min-width: 1025px) {
    .contact-info-item .elementor-image-box-img {
        margin-bottom: 0 !important;
    }

    .visual-journey-grid .elementor-widget-image:nth-child(1) {
        grid-area: 1 / 1 / 2 / 2;
    }

    .visual-journey-grid .elementor-widget-image:nth-child(2) {
        grid-area: 2 / 1 / 3 / 2;
    }

    .visual-journey-grid .elementor-widget-image:nth-child(3) {
        grid-area: 1 / 2 / 3 / 3;
    }

    .visual-journey-grid .elementor-widget-image:nth-child(4) {
        grid-area: 1 / 3 / 2 / 4;
    }

    .visual-journey-grid .elementor-widget-image:nth-child(5) {
        grid-area: 2 / 3 / 3 / 4;
    }
}

@media screen and (max-width: 1200px) {
    .author-item:nth-child(n + 5)::before {
        background: rgba(0, 0, 0, 0.2);
    }

    .author-item:nth-child(6)::before {
        content: "";
    }

    .author-item:nth-child(n + 8)::before {
        background: linear-gradient(180deg, rgba(0, 0, 0, 0.02), rgba(0, 0, 0, 0.2));
    }

    .author-item:nth-child(4)::before,
    .author-item:nth-child(8)::before,
    .author-item:last-child::before {
        content: none;
    }

    .author-item:nth-child(n + 5)::after {
        content: "";
        position: absolute;
        top: 0;
        right: 0;
        width: 100%;
        height: 2px;
        background: rgba(0, 0, 0, 0.2);
    }

    .author-item:nth-child(5)::after,
    .author-item:nth-child(8)::after,
    .author-item:nth-child(9)::after,
    .author-item:last-child::after {
        background: linear-gradient(90deg, rgba(0, 0, 0, 0.02), rgba(0, 0, 0, 0.2));
    }

    .author-item:nth-child(8)::after,
    .author-item:last-child::after {
        transform: rotate(180deg);
    }
}

@media screen and (max-width: 1024px) {
    .bean-slider .since-1945 {
        max-width: clamp(12.5rem, 3.125rem + 19.5313vw, 15.625rem);
    }

    .bean-slider .bean-slider-wrapper {
        padding: 16px 0;
    }

    .bean-slider .bean-slider-wrapper .bean-set .slide-item {
        padding: 0 16px;
    }

    .bean-slider .bean-slider-wrapper .bean-set .slide-title {
        font-size: 24px;
    }

    .bean-slider .bean-slider-wrapper .bean-set .bean-icon {
        height: 20px;
    }

    .contact-grad-divider .elementor-divider-separator {
        border-image: linear-gradient(
                90deg,
                rgba(255, 255, 255, 0) 0%,
                rgba(64, 57, 69, 0.31) 52.4%,
                rgba(255, 255, 255, 0) 100%
            )
            1;
    }

    .reveal-content-wrap .reveal-content-item {
        min-height: 450px;
    }

    .gradwhite-text.elementor-element:before {
        font-size: clamp(7.5rem, 0rem + 15.625vw, 10rem);
    }

    .elementor-widget-woocommerce-checkout-page .woocommerce #customer_details .form-row,
    .elementor-widget-woocommerce-checkout-page .woocommerce .e-coupon-box .form-row,
    .elementor-widget-woocommerce-checkout-page .woocommerce .e-woocommerce-login-anchor .form-row {
        margin-left: 0 !important;
        margin-right: 0 !important;
        padding-left: 0 !important;
        padding-right: 0 !important;
    }
}

@media screen and (max-width: 880px) {
    /* Reset */
    .author-item::before,
    .author-item::after {
        content: none;
    }

    /* Vertical (skip last column: 3n) */
    .author-item:not(:nth-child(3n))::before {
        content: "";
        position: absolute;
        top: 0;
        right: 0;
        width: 2px;
        height: 100%;
        background: linear-gradient(180deg, rgba(0, 0, 0, 0.02), rgba(0, 0, 0, 0.2));
    }

    .author-item:nth-child(4)::before,
    .author-item:nth-child(5)::before,
    .author-item:nth-child(7)::before,
    .author-item:nth-child(8)::before {
        background: rgba(0, 0, 0, 0.2);
    }

    .author-item:nth-child(6)::before {
        content: none;
    }

    /* Horizontal (skip first row: first 3 items) */
    .author-item:nth-child(n + 4)::after {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 2px;
        background: rgba(0, 0, 0, 0.2);
    }

    .author-item:nth-child(4)::after,
    .author-item:nth-child(7)::after,
    .author-item:nth-child(10)::after {
        background: linear-gradient(90deg, rgba(0, 0, 0, 0.02), rgba(0, 0, 0, 0.2));
    }

    .author-item:nth-child(6)::after,
    .author-item:nth-child(9)::after,
    .author-item:last-child::after {
        background: linear-gradient(270deg, rgba(0, 0, 0, 0.02), rgba(0, 0, 0, 0.2));
        transform: none;
    }
}

@media screen and (max-width: 767px) {
    .bean-slider .since-1945 {
        max-width: 200px;
    }

    .visual-journey-grid {
        display: flex !important;
        flex-direction: column !important;
    }

    .reveal-content-wrap .reveal-content-item {
        min-height: 440px;
        max-width: 400px;
    }

    .gradwhite-text.elementor-element:before {
        font-size: clamp(5.3125rem, 4.7103rem + 3.212vw, 6.25rem);
        top: clamp(-3.125rem, -2.7235rem + -2.1413vw, -3.75rem);
    }

    .author-wrap {
        grid-template-columns: repeat(2, 1fr) !important;
    }

    /* Reset */
    .author-item::before,
    .author-item::after {
        content: none;
    }

    /* Horizontal (skip first row: first 2 items) */
    .author-item:not(:first-child)::after {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 2px;
        /* background: linear-gradient(90deg, rgba(0, 0, 0, 0.02) 0%, rgba(0, 0, 0, 0.2) 50%, rgba(0, 0, 0, 0.02) 100%); */
        background: linear-gradient(90deg, rgba(0, 0, 0, 0.2) 50%, rgba(0, 0, 0, 0.02) 100%);
    }

    .author-item:nth-child(n)::after {
        transform: rotate(180deg);
    }

    .author-item:nth-child(2n)::after {
        transform: rotate(0deg);
    }

    .author-item:nth-child(2n)::before,
    .author-item:nth-child(2)::after {
        content: none;
    }

    .author-item:not(:nth-child(2n), :first-child, :nth-last-child(2))::before {
        content: "";
        position: absolute;
        top: 0;
        right: 0;
        width: 2px;
        height: 100%;
        background: rgba(0, 0, 0, 0.2);
    }

    .woocommerce-message .button {
        display: block !important;
        width: max-content;
        margin: 10px 0 0 !important;
        float: unset !important;
    }
}

@media screen and (max-width: 540px) {
    .author-wrap {
        grid-template-columns: 1fr !important;
    }

    /* Reset */
    .author-item::before,
    .author-item::after {
        content: none !important;
    }

    /* Horizontal (skip first row: first 2 items) */
    .author-item:not(:first-child)::after {
        content: "" !important;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 2px;
        background: linear-gradient(90deg, rgba(0, 0, 0, 0.02) 0%, rgba(0, 0, 0, 0.2) 50%, rgba(0, 0, 0, 0.02) 100%);
    }
}

/* Responsive End */

@keyframes scroll-left {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-50%);
    }
}
